Bug 491031 - configured to use acroread, uses evince instead
configured to use acroread, uses evince instead
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
: 502247 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 20:40 EDT by Jonathan Kamens
Modified: 2010-06-28 07:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
prefs.js file (53.42 KB, text/plain)
2009-04-07 15:06 EDT, Jonathan Kamens
no flags Details
mimeTypes.rdf (13.26 KB, text/plain)
2009-04-07 15:06 EDT, Jonathan Kamens
no flags Details
suggested changed mimeTypes.rdf (12.39 KB, text/plain)
2009-04-10 10:25 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Jonathan Kamens 2009-03-18 20:40:39 EDT
I have my preferences in firefox configured to use acroread for PDF files.  There are two entries for PDF files in the applications tab of the preferences dialog, and both of them say to use acroread.  And yet when I click on a PDF link, it opens in evince instead of opening in acroread.

This is with firefox-3.1-0.7.beta2.fc11.i586.  I used HEAD to look at the HTTP header of one of the documents in question, and its type is application/pdf.
Comment 1 Matěj Cepl 2009-04-06 12:10:27 EDT
Please, try to reproduce with upgraded firefox and xulrunner. If you can still reproduce it, please

a) could we get output of the following command, please?

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

b) could we get ~/.mozilla/firefox/*.default/prefs.js attached to this bug as a separate uncompressed attachment, please?

Thank you in advance.
Comment 2 Jonathan Kamens 2009-04-07 15:05:42 EDT
There are two PDF settings in my "Applications" preferences tab.  One is for "PDF Document" with a generic document icon, and one is for "PDF file" with a PDF icon.  When I set the latter to "Use acroread (default)", this problem occurs.  On the other hand, the same drop down has a separate setting, "Use acroread" (without the "(default)"), and when I use that setting, this problem does *not* occur.

Below is the output of the rpm command you specified.  I will attach prefs.js and mimeTypes.rdf when the setting is "Use acroread (default)" and is not working.  The only thing that changes when I set it to "Use acroread" is that the "use system default" setting in mimeTypes.rdf for PDF files changes from true to false.

I checked in nautilus, and I have PDF files set to open with Acrobat 8, so that should be the "system default," no?

audacious-plugins-1.5.1-3.fc11.i586
gstreamer-plugins-base-0.10.22-2.fc11.i586
mozilla-filesystem-1.9-4.fc11.i586
plymouth-plugin-label-0.7.0-0.2009.03.10.2.fc11.i586
yum-plugin-changelog-1.1.21-2.fc11.noarch
anaconda-yum-plugins-1.0-4.fc11.noarch
nspluginwrapper-1.3.0-5.fc11.i586
maven-shared-plugin-testing-harness-1.0-5.7.fc11.i586
gstreamer-plugins-farsight-0.12.10-2.fc11.i586
yum-plugin-downloadonly-1.1.21-2.fc11.noarch
PackageKit-yum-plugin-0.4.6-2.fc11.i586
java-1.6.0-openjdk-plugin-1.6.0.0-19.b14.fc11.i586
plymouth-plugin-spinfinity-0.7.0-0.2009.03.10.2.fc11.i586
mozilla-vlc-1.0.0-0.1pre1.fc11.i586
flash-plugin-9.0.124.0-release.i386
yum-plugin-allowdowngrade-1.1.21-2.fc11.noarch
maven2-plugin-release-2.0.4-11.19.fc11.i586
gstreamer-plugins-good-devel-0.10.14-2.fc11.i586
gstreamer-plugins-good-0.10.14-2.fc11.i586
plymouth-plugin-solar-0.7.0-0.2009.03.10.2.fc11.i586
firefox-3.1-0.11.beta3.fc11.i586
vamp-plugin-sdk-2.0-5.fc11.i586
gstreamer-plugins-base-devel-0.10.22-2.fc11.i586
gutenprint-plugin-5.2.3-5.fc11.i586
xulrunner-1.9.1-0.11.beta3.fc11.i586
yum-plugin-fastestmirror-1.1.21-2.fc11.noarch
beagle-firefox-0.3.9-6.fc11.i586
mail-notification-evolution-plugin-5.4-10.fc11.i586
gstreamer-plugins-flumpegdemux-0.10.15-6.fc11.i586
Comment 3 Jonathan Kamens 2009-04-07 15:06:16 EDT
Created attachment 338578 [details]
prefs.js file
Comment 4 Jonathan Kamens 2009-04-07 15:06:39 EDT
Created attachment 338579 [details]
mimeTypes.rdf
Comment 5 Matěj Cepl 2009-04-10 10:25:24 EDT
Created attachment 339094 [details]
suggested changed mimeTypes.rdf

Hmm in your mimeTypes.rdf I see

 <RDF:Description RDF:about="urn:mimetype:application/x"
                   NC:value="application/x"
                   NC:editable="true"
                   NC:description="PDF document">
    <NC:handlerProp RDF:resource="urn:mimetype:handler:application/x"/>
  </RDF:Description>

(and subsequent definitions for use of this weird type application/x) I have no idea, how it got there (and that could be matter of an upstream bug), but could you try shutdown Firefox, copy this into your profile and reestart X session. Is that what help?
Comment 6 Matěj Cepl 2009-04-10 10:34:48 EDT
(In reply to comment #5)
> you try shutdown Firefox, copy this into your profile and restart X session.

Of course not X session, and note that Firefox cannot run while the file is being overwritten.
Comment 7 Jonathan Kamens 2009-04-12 20:19:26 EDT
The new mimeTypes.rdf you sent did not solve the problem.
Comment 8 Matěj Cepl 2009-04-14 04:53:52 EDT
(In reply to comment #7)
> The new mimeTypes.rdf you sent did not solve the problem.  

Cool! Do you have any idea how you might be hit by this? Giving you a month, and unless you tell me how firefox screwed up mime file with this, I will have to close this as INSUFFICIENT_DATA
Comment 9 Jonathan Kamens 2009-04-14 09:35:03 EDT
I'm confused.  I said that the mimeTypes.rdf you sent did NOT solve the problem, but your response seems to indicate that you think I said that it DID solve the problem, since it seems to think that we've isolated the cause of the problem.  Can you please clarify what's going on here?
Comment 10 Matěj Cepl 2009-04-15 07:26:19 EDT
(In reply to comment #9)
> I'm confused.  I said that the mimeTypes.rdf you sent did NOT solve the
> problem, but your response seems to indicate that you think I said that it DID
> solve the problem, since it seems to think that we've isolated the cause of the
> problem.  Can you please clarify what's going on here?  

Sorry, apparently wishful thinking on my side (combined with many many bugs I see per day) made me read otherwise.

I am sorry.
Comment 11 Martin Stransky 2009-05-06 05:34:23 EDT
taking this one...
Comment 12 Matěj Cepl 2009-05-24 16:43:28 EDT
*** Bug 502247 has been marked as a duplicate of this bug. ***
Comment 13 Bug Zapper 2009-06-09 08:23:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Claudio Viano 2009-07-03 17:03:11 EDT
In 3.5 final all helper applications seem to work as expected, except nautilus; I still have to specify it manually when I choose "open containing folder" from the downloads window. I tried letting Mozilla create a new .mozilla directory and it still asked me for an application to "open containing folder" of a download.

So bug 502247, marked as duplicate of this one, is still there.

I cannot say about Acrobat as I haven't got it installed.
Comment 15 Bug Zapper 2010-04-27 09:16:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-06-28 07:31:22 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.